FLAC 1.5.0 Free Lossless Audio Codec

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::VorbisComment Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::VorbisComment:

## Classes
class | Entry

## Public Member Functions
| VorbisComment (const VorbisComment &object)
| VorbisComment (const ::FLAC__StreamMetadata &object)
| VorbisComment (const ::FLAC__StreamMetadata *object)
| VorbisComment (::FLAC__StreamMetadata *object, bool copy)
VorbisComment & | operator= (const VorbisComment &object)
VorbisComment & | operator= (const ::FLAC__StreamMetadata &object)
VorbisComment & | operator= (const ::FLAC__StreamMetadata *object)
VorbisComment & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const VorbisComment &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const VorbisComment &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
uint32_t | get_num_comments () const
const FLAC__byte * | get_vendor_string () const
Entry | get_comment (uint32_t index) const
bool | set_vendor_string (const FLAC__byte *string)
bool | resize_comments (uint32_t new_num_comments)
bool | set_comment (uint32_t index, const Entry &entry)
bool | insert_comment (uint32_t index, const Entry &entry)
bool | append_comment (const Entry &entry)
bool | replace_comment (const Entry &entry, bool all)
bool | delete_comment (uint32_t index)
int | find_entry_from (uint32_t offset, const char *field_name)
int | remove_entry_matching (const char *field_name)
int | remove_entries_matching (const char *field_name)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

VORBIS_COMMENT metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2025 Xiph.Org Foundation